org.apache.struts2.rest.handler

## Class JacksonXmlHandler

- java.lang.Object
- - org.apache.struts2.rest.handler.AbstractContentTypeHandler
  - - org.apache.struts2.rest.handler.JacksonXmlHandler

- All Implemented Interfaces:
    ContentTypeHandler

      public class JacksonXmlHandler
      extends AbstractContentTypeHandler

  Handles XML content using Jackson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacksonXmlHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `fromObject(ActionInvocation invocation, Object obj, String resultCode, Writer stream)`
    `String` | `getContentType()` Gets the content type for this handler
    `String` | `getExtension()` Gets the extension this handler supports
    `void` | `toObject(ActionInvocation invocation, Reader in, Object target)`

    - ### Methods inherited from class org.apache.struts2.rest.handler.AbstractContentTypeHandler

      `fromObject, toObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JacksonXmlHandler

          public JacksonXmlHandler()

  - ### Method Detail

    - #### toObject

          public void toObject(ActionInvocation invocation,
                               Reader in,
                               Object target)
                        throws IOException

      Throws:
        `IOException`

    - #### fromObject

          public String fromObject(ActionInvocation invocation,
                                   Object obj,
                                   String resultCode,
                                   Writer stream)
                            throws IOException

      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Description copied from interface: `ContentTypeHandler`
      Gets the content type for this handler
      Returns:
        The mime type

    - #### getExtension

          public String getExtension()

      Description copied from interface: `ContentTypeHandler`
      Gets the extension this handler supports
      Returns:
        The extension

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.